Contacts
List a contact's deliveries
GET
Requires the contact:read scope.
ApiKeyheader
Authorization<token>Api-Key mc_... — a workspace API key.
id*stringquery?stringcontactId?string|nullstatus?stringtransactionalMessageId?stringcampaignId?stringcampaignRecipientKey?stringlimit?integerRange
1 <= value <= 500Default
50offset?integerRange
0 <= valueDefault
0page?integerRange
1 <= valuesortBy?stringsortOrder?stringValue in
"ASC""DESC"A page of results.
application/json- response
data*array<>total*integerMatches across all pages.
limit*integeroffset*integerThe offset actually applied, also when you paginated with page.
curl -X GET 'https://api.mailcrate.io/public/contact/string/deliveries' \ -H 'Authorization: Api-Key <api_key>'Example Response
{ "data": [ { "id": "string", "status": "string", "subject": "string", "toAddresses": "string", "contactId": "string", "campaignRecipientKey": "string", "externalReferenceId": "string", "lane": "string", "suppressionReason": "string", "isTest": true, "renderedHTML": "string", "fromName": "string", "fromAddress": "string", "cc": "string", "bcc": "string", "replyTo": "string", "preHeaderText": "string", "messageIdHeader": "string", "sendAttemptedAt": "2019-08-24T14:15:22Z", "data": {}, "templateData": {}, "emailTemplateId": "string", "emailTemplateName": "string", "emailTemplateDeleted": true, "campaignId": "string", "campaignName": "string", "campaignDeleted": true, "transactionalMessageId": "string", "transactionalMessageName": "string", "transactionalMessageDeleted": true, "attachments": [ { "id": "string", "filename": "string", "contentType": "string", "size": 0 } ], "created": "2019-08-24T14:15:22Z", "updated": "2019-08-24T14:15:22Z" } ], "total": 0, "limit": 0, "offset": 0}